gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.InitiallyUnowned

Contents

- Exported types
- Methods

Description

A type for objects that have an initially floating reference.

All the fields in the `GInitiallyUnowned` structure are private to the implementation and should never be accessed directly.

Synopsis

- newtype InitiallyUnowned = InitiallyUnowned (ManagedPtr InitiallyUnowned)
- class (GObject o, IsDescendantOf InitiallyUnowned o) => IsInitiallyUnowned o
- toInitiallyUnowned :: (MonadIO m, IsInitiallyUnowned o) => o -> m InitiallyUnowned

# Exported types

newtype InitiallyUnowned Source #

Memory-managed wrapper type.

Constructors

InitiallyUnowned (ManagedPtr InitiallyUnowned) |

#### Instances

Instances details

Eq InitiallyUnowned Source # |
Instance details Defined in GI.GObject.Objects.InitiallyUnowned Methods (==) :: InitiallyUnowned -> InitiallyUnowned -> Bool Source # (/=) :: InitiallyUnowned -> InitiallyUnowned -> Bool Source #
GObject InitiallyUnowned Source # |
Instance details Defined in GI.GObject.Objects.InitiallyUnowned
ManagedPtrNewtype InitiallyUnowned Source # |
Instance details Defined in GI.GObject.Objects.InitiallyUnowned Methods toManagedPtr :: InitiallyUnowned -> ManagedPtr InitiallyUnowned Source #
TypedObject InitiallyUnowned Source # |
Instance details Defined in GI.GObject.Objects.InitiallyUnowned Methods glibType :: IO GType Source #
HasParentTypes InitiallyUnowned Source # |
Instance details Defined in GI.GObject.Objects.InitiallyUnowned
IsGValue (Maybe InitiallyUnowned) Source # | Convert `InitiallyUnowned` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.GObject.Objects.InitiallyUnowned Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe InitiallyUnowned -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe InitiallyUnowned) Source #
type ParentTypes InitiallyUnowned Source # |
Instance details Defined in GI.GObject.Objects.InitiallyUnowned type ParentTypes InitiallyUnowned = '[Object]

class (GObject o, IsDescendantOf InitiallyUnowned o) => IsInitiallyUnowned o Source #

Type class for types which can be safely cast to `InitiallyUnowned`, for instance with `toInitiallyUnowned`.

#### Instances

Instances details

(GObject o, IsDescendantOf InitiallyUnowned o) => IsInitiallyUnowned o Source # |
Instance details Defined in GI.GObject.Objects.InitiallyUnowned

toInitiallyUnowned :: (MonadIO m, IsInitiallyUnowned o) => o -> m InitiallyUnowned Source #

Cast to `InitiallyUnowned`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.